***

title: get
slug: /reference/python/rest/verified-callers/get
description: Retrieve a specific verified caller ID.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a specific verified caller ID.

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/verified_caller_ids/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/verified_caller_ids/{id}" />

## **Example**

```python {9-10}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

caller = client.verified_callers.get("caller-id")
print(caller.get("phone_number"), caller.get("verification_state"))
```